using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.Model
{
    public class QCModel
    {
        private string qcid;
        private string qcname;
        private string qcscore;
        private string qcpf;
        private string colspan;
        private string rowspan;
        private List<QCModel> qclist;

        /// <summary>
        /// QCid
        /// </summary>
        public string Qcid
        {
            get
            {
                return qcid;
            }

            set
            {
                qcid = value;
            }
        }

        /// <summary>
        /// QC名称
        /// </summary>
        public string Qcname
        {
            get
            {
                return qcname;
            }

            set
            {
                qcname = value;
            }
        }

        /// <summary>
        /// QC分数
        /// </summary>
        public string Qcscore
        {
            get
            {
                return qcscore;
            }

            set
            {
                qcscore = value;
            }
        }

        /// <summary>
        /// QC评分
        /// </summary>
        public string Qcpf
        {
            get
            {
                return qcpf;
            }

            set
            {
                qcpf = value;
            }
        }

        /// <summary>
        /// QC子类
        /// </summary>
        public List<QCModel> Qclist
        {
            get
            {
                return qclist;
            }

            set
            {
                qclist = value;
            }
        }

        /// <summary>
        /// 包含几行
        /// </summary>
        public string Rowspan
        {
            get
            {
                return rowspan;
            }

            set
            {
                rowspan = value;
            }
        }

        /// <summary>
        /// 包含几列
        /// </summary>
        public string Colspan
        {
            get
            {
                return colspan;
            }

            set
            {
                colspan = value;
            }
        }
    }
}
